Subject: Re: bug#25282: emacs 25,1 crash w/bt

From: Hlöðver Sigurðsson <[email-masked]>
Date: Wed, 4 Jan 2017 14:47:19 +0100

I compiled from master branch on Savannah (hope I spelled it right),
running on v 26.0.50.1 does not crash at all.

Thanks for that!

2016-12-27 23:52 GMT+01:00 Eli Zaretskii <[email-masked]>:

> > From: Hlöðver Sigurðsson
> >       <[email-masked]>
> > Date: Tue, 27 Dec 2016 12:21:32 +0100
> >
> > My emacs 25.1 is crashing these days every 3 hours, irrelevant if Im
> > on my laptop or work computer, and if Im programming in C or
> > Clojure. Im always using Fedora, and I install emacs either by
> > compiling from sources or installed from dnf. Just a paste of my last
> > gdb crash backtrace: https://www.refheap.com/124399
> >
> > Crashes are on my computer more likely when saveing or simply using the
> cursor around a document. I have
> > aggressive indent mode enabled, haven't ruled that out yet. Looks to me
> still that something is not right in
> > intervals.c?
> >
> > Thanks for all feedback, hope I don't have to downgrade my emacs.
> >
> > Best,
> > Hlödver
> >
> > (the beginning of the trace)
> > Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
> > 0x00000000005a0937 in balance_an_interval (i=0x685d630) at
> intervals.c:443
> > 443 + RIGHT_TOTAL_LENGTH (i->left) - LEFT_TOTAL_LENGTH (i->left);
> > (gdb) bt
> > #0 0x00000000005a0937 in balance_an_interval (i=0x685d630) at
> intervals.c:443
> > #1 0x00000000005a0ba5 in balance_possible_root_interval
> (interval=<optimized out>) at intervals.c:482
> > #2 0x00000000005a1749 in find_interval (tree=<optimized out>,
> position=0) at intervals.c:673
> > #3 0x00000000005a4d8e in validate_interval_range (object=<optimized out>,
> > begin=begin@entry=0x7fffffff0028, end=end@entry=0x7fffffff0028,
> force=force@entry=false) at textprop.c:192
>
> Please try the latest pretest of Emacs 25.2, I think this is due to
> known bugs that were already fixed since v25.1 was released.
>
> Thanks.
>